GET  FILE='C:\MICS\SPSS\wm.sav'.
SELECT IF(WM7 = 1).

compute total = 1.
variable label total "    15-49 ".
value label total 1 " ".

compute rk = 1.
variable label rk "".
value label rk 1 " ".

IF (WM9 >= 15 & WM9 <= 19) AgeGrupp = 1 .
IF (WM9 >= 20 & WM9 <= 24) AgeGrupp = 2 .
IF (WM9 >= 25 & WM9 <= 29) AgeGrupp = 3 .
IF (WM9 >= 30 & WM9 <= 34) AgeGrupp = 4 .
IF (WM9 >= 35 & WM9 <= 39) AgeGrupp = 5 .
IF (WM9 >= 40 & WM9 <= 44) AgeGrupp = 6 .
IF (WM9 >= 45 & WM9 <= 49) AgeGrupp = 7 .
VARIABLE LABELS AgeGrupp '' .
value LABEL AgeGrupp 
1 '15-19' 
2 '20-24' 
3 '25-29' 
4 '30-34' 
5 '35-39' 
6 '40-44'
7 '45-49' .
compute HT3T = 0.
IF(HT3 = 1) HT3T=1 .
variable label HT3T "    ,  ".
value label HT3T 1 " ".

compute HT4T = 0.
IF(HT4 = 1) HT4T=1 .
variable label HT4T "  ,    ,  ".
value label HT4T 1 " ".

compute HT10T = 0.
IF(HT10 = 2) HT10T=1 .
variable label HT10T "      ,    ".
value label HT10T 1 " ".

weight by wmweight.

* General Tables.
TABLES
  /FORMAT BLANK MISSING('.')
  /GBASE=CASES
  /TABLE=HH7 + HH6 + melevel + wlthind5 + HC1b + AgeGrupp + rk  BY HT3T + HT4T + HT10T + total
  /STATISTICS 
  cpct( HT3T( PCT5.1 ) '%':HH7 HH6 melevel wlthind5 HC1b AgeGrupp rk)
  cpct( HT4T( PCT5.1 ) '%':HH7 HH6 melevel wlthind5 HC1b AgeGrupp rk)
  cpct( HT10T( PCT5.1 ) '%':HH7 HH6 melevel wlthind5 HC1b AgeGrupp rk)
  cpct( total( PCT5.1 ) '%':HT3T HT4T HT10T total )
  count( total( F5.0 ) '') /TITLE  '  .'
  ' 4.     .' ''.


